v1.0.4
OpenAPI 3.1.1

Condens API

For accounts with EU server location. If you’re unsure which server your account uses, check the API & MCP-Server settings page in Condens to view the assigned base URL.

Client Libraries

List workspaces

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/workspaces
curl 'https://api.condens.io/v1/workspaces?page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "string",
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Get a workspace

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/workspaces/{id}
curl 'https://api.condens.io/v1/workspaces/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "string",
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

List users

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/users
curl 'https://api.condens.io/v1/users?page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "string",
      "email": "hello@example.com",
      "role": "administrator",
      "active": true,
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Get a user

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/users/{id}
curl 'https://api.condens.io/v1/users/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "string",
  "email": "hello@example.com",
  "role": "administrator",
  "workspaceIds": [
    "string"
  ],
  "active": true,
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

List participants

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • JSON-encoded filter object

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/participants
curl 'https://api.condens.io/v1/participants?page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "",
      "workspaceId": "string",
      "informationFields": [
        {
          "fieldName": "string",
          "fieldType": "text",
          "value": "string"
        }
      ],
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Create a participant

​

Body·

required
application/json
  • Properties: 3

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/participants
curl https://api.condens.io/v1/participants \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "workspaceId": "",
  "name": "",
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ],
  "attachments": [
    {
      "sourceUrl": "",
      "sourceAuth": {
        "type": "bearer",
        "token": ""
      },
      "name": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "workspaceId": "string",
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Get a participant

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/participants/{id}
curl 'https://api.condens.io/v1/participants/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "",
  "workspaceId": "string",
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Update a participant

​

Path Parameters

Body·

required
  • Properties: 3

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/participants/{id}
curl 'https://api.condens.io/v1/participants/{id}' \
  --request PATCH \
  --header 'Content-Type: application/merge-patch+json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ],
  "attachments": [
    {
      "sourceUrl": "",
      "sourceAuth": {
        "type": "bearer",
        "token": ""
      },
      "name": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "workspaceId": "string",
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Delete a Participant

​

Deleted items can be restored from the trash in the Condens app for up to 30 days.

Path Parameters

Responses

  • Deleted

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/participants/{id}
curl 'https://api.condens.io/v1/participants/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

List projects

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • JSON-encoded filter object

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/projects
curl 'https://api.condens.io/v1/projects?page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "",
      "projectFolderId": "string",
      "workspaceId": "string",
      "informationFields": [
        {
          "fieldName": "string",
          "fieldType": "text",
          "value": "string"
        }
      ],
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Create a project

​

Body·

required
application/json

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/projects
curl https://api.condens.io/v1/projects \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "projectFolderId": "",
  "workspaceId": "",
  "involvedContributorIds": [],
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "projectFolderId": null,
  "workspaceId": "string",
  "involvedContributorIds": [],
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Get a project

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/projects/{id}
curl 'https://api.condens.io/v1/projects/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "",
  "projectFolderId": null,
  "workspaceId": "string",
  "involvedContributorIds": [],
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Update a project

​

Path Parameters

Body·

required

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/projects/{id}
curl 'https://api.condens.io/v1/projects/{id}' \
  --request PATCH \
  --header 'Content-Type: application/merge-patch+json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "projectFolderId": "",
  "involvedContributorIds": [
    ""
  ],
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "projectFolderId": null,
  "workspaceId": "string",
  "involvedContributorIds": [],
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Delete a project

​

Deleted items can be restored from the trash in the Condens app for up to 30 days.

Path Parameters

Responses

  • Deleted

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/projects/{id}
curl 'https://api.condens.io/v1/projects/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

List project folders

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/projectFolders
curl 'https://api.condens.io/v1/projectFolders?page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "workspaceId": "string",
      "name": "",
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Create a project folder

​

Body·

required
application/json

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/projectFolders
curl https://api.condens.io/v1/projectFolders \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "workspaceId": "",
  "name": ""
}'
{
  "id": "string",
  "workspaceId": "string",
  "name": "",
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Get a project folder

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/projectFolders/{id}
curl 'https://api.condens.io/v1/projectFolders/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "workspaceId": "string",
  "name": "",
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Update a project folder

​

Path Parameters

Body·

required

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/projectFolders/{id}
curl 'https://api.condens.io/v1/projectFolders/{id}' \
  --request PATCH \
  --header 'Content-Type: application/merge-patch+json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": ""
}'
{
  "id": "string",
  "workspaceId": "string",
  "name": "",
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Delete a project folder

​

Deleted items can be restored from the trash in the Condens app for up to 30 days.

Path Parameters

Responses

  • Deleted

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/projectFolders/{id}
curl 'https://api.condens.io/v1/projectFolders/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

List sessions

​

Query Parameters

  • Page number (starting at 1).

  • Number of items per page.

  • JSON-encoded filter object

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/sessions
curl 'https://api.condens.io/v1/sessions?projectId=&page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "",
      "projectId": "string",
      "workspaceId": "string",
      "processed": true,
      "informationFields": [
        {
          "fieldName": "string",
          "fieldType": "text",
          "value": "string"
        }
      ],
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Create a session

​

Body·

required
application/json
  • Properties: 3
  • Properties: 5
  • Properties: 3

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/sessions
curl https://api.condens.io/v1/sessions \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "projectId": "",
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ],
  "media": {
    "name": "",
    "sourceUrl": "",
    "sourceAuth": {
      "type": "bearer",
      "token": ""
    },
    "transcription": {
      "languages": [
        "af-ZA"
      ],
      "numberOfSpeakers": 2,
      "generateBookmarks": false
    },
    "anonymization": {
      "blurMode": "video",
      "anonymizeAudio": false
    }
  },
  "note": {
    "name": "",
    "content": "",
    "type": "plain"
  },
  "attachments": [
    {
      "sourceUrl": "",
      "sourceAuth": {
        "type": "bearer",
        "token": ""
      },
      "name": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "projectId": "string",
  "workspaceId": "string",
  "processed": true,
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Get a session

​

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/sessions/{id}
curl 'https://api.condens.io/v1/sessions/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "",
  "projectId": "string",
  "workspaceId": "string",
  "processed": true,
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Update a session

​

Path Parameters

Body·

required
  • Properties: 3
  • Properties: 5
  • Properties: 3

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/sessions/{id}
curl 'https://api.condens.io/v1/sessions/{id}' \
  --request PATCH \
  --header 'Content-Type: application/merge-patch+json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ],
  "media": {
    "name": "",
    "sourceUrl": "",
    "sourceAuth": {
      "type": "bearer",
      "token": ""
    },
    "transcription": {
      "languages": [
        "af-ZA"
      ],
      "numberOfSpeakers": 2,
      "generateBookmarks": false
    },
    "anonymization": {
      "blurMode": "video",
      "anonymizeAudio": false
    }
  },
  "note": {
    "name": "",
    "content": "",
    "type": "plain"
  },
  "attachments": [
    {
      "sourceUrl": "",
      "sourceAuth": {
        "type": "bearer",
        "token": ""
      },
      "name": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "projectId": "string",
  "workspaceId": "string",
  "processed": true,
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "attachments": [
    {
      "name": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z",
  "failedUploadUrls": [
    "https://example.com"
  ]
}

Delete a Session

​

Deleted items can be restored from the trash in the Condens app for up to 30 days.

Path Parameters

Responses

  • Deleted

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/sessions/{id}
curl 'https://api.condens.io/v1/sessions/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

List artifacts

​

Query Parameters

  • Optionally filter artifacts by type.

  • Page number (starting at 1).

  • Number of items per page.

  • JSON-encoded filter object

  • Sort items by name or information field value.

    Sort order: prefix with '-' for descending, omit for ascending.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/artifacts
curl 'https://api.condens.io/v1/artifacts?projectId=&page=1&pageSize=100&sort=name' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "page": 1,
  "pageSize": 100,
  "total": 0,
  "totalPages": 0,
  "hasNext": true,
  "items": [
    {
      "id": "string",
      "name": "",
      "coverImageUrl": null,
      "projectId": "string",
      "workspaceId": "string",
      "summary": "",
      "isPublished": true,
      "type": "string",
      "informationFields": [
        {
          "fieldName": "string",
          "fieldType": "text",
          "value": "string"
        }
      ],
      "updatedAt": "2026-10-01T12:28:47.989Z"
    }
  ]
}

Update an artifact

​

Update values of existing information fields for this artifact's type. Field names are matched ignoring case and surrounding whitespace. Unknown fields and mismatched field types return 400. Fields omitted from the request remain unchanged. This endpoint does not create field definitions or update artifact content.

Path Parameters

Body·

required

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/artifacts/{id}
curl 'https://api.condens.io/v1/artifacts/{id}' \
  --request PATCH \
  --header 'Content-Type: application/merge-patch+json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "informationFields": [
    {
      "fieldName": "",
      "fieldType": "text",
      "value": ""
    }
  ]
}'
{
  "id": "string",
  "name": "",
  "coverImageUrl": null,
  "projectId": "string",
  "workspaceId": "string",
  "summary": "",
  "isPublished": true,
  "type": "string",
  "informationFields": [
    {
      "fieldName": "string",
      "fieldType": "text",
      "value": "string"
    }
  ],
  "updatedAt": "2026-10-01T12:28:47.989Z"
}

Models